## gnome-photos 3.34.1

=== meson_options.txt ===
option('dogtail', type: 'boolean', value: true, description: 'test using dogtail')
option('installed_tests', type: 'boolean', value: false, description: 'Enable installation of some test cases')

## gnome-photos 3.10.2

=== debian/changelog ===
gnome-photos (3.10.2-0ubuntu2) trusty; urgency=medium

  * Add depends on gnome-online-miners. LP: #1300521

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 09 Apr 2014 16:37:31 +1000

gnome-photos (3.10.2-0ubuntu1) trusty; urgency=low

  * Initial release (LP: #1279201).

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 12 Feb 2014 06:40:47 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-photos
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jackson Doak <noskcaj@ubuntu.com>
Build-Depends: cdbs (>= 0.4.41),
               gnome-pkg-tools (>= 0.10),
               gnome-common,
               dh-autoreconf,
               debhelper (>= 9),
               desktop-file-utils,
               intltool (>= 0.50.1),
               libexempi-dev (>= 1.99.5),
               libexif-dev (>= 0.6.14),
               libgegl-dev,
               libglib2.0-dev (>= 2.35.1),
               libgnome-desktop-3-dev,
               libgoa-1.0-dev (>= 3.8.0),
               libgrilo-0.2-dev (>= 0.2.6),
               libgtk-3-dev (>= 3.9.11),
               liblcms2-dev,
               librsvg2-dev (>= 2.26.0),
               libtracker-miner-0.16-dev,
               libtracker-sparql-0.16-dev
Standards-Version: 3.9.5
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/experimental/gnome-photos
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/experimental/gnome-photos/
Homepage: https://wiki.gnome.org/Apps/Photos

Package: gnome-photos
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnome-online-miners,
Description: Photo manager for GNOME
 GNOME Photos is a simple standalone application to find, organize and view
 your photos.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

=== debian/watch ===
version=3
http://download.gnome.org/sources/gnome-photos/([\d\.]+)[02468]/gnome-photos-(.*)\.tar\.xz

## gnome-photos 3.12.1

=== debian/changelog ===
gnome-photos (3.12.1-1ubuntu2) utopic; urgency=medium

  * No change rebuild for gnome-desktop 3.12

 -- Tim Lunn <tim@feathertop.org>  Tue, 23 Sep 2014 08:26:09 +1000

gnome-photos (3.12.1-1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/control{.in}:
      + Depends on gnome-online-miners to avoid a crashing.
    - debian/patches/90_drop-onlyshowin.patch:
      + Show GNOME Photos in menus everywhere.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 24 Aug 2014 12:10:16 +0200

gnome-photos (3.12.1-1) unstable; urgency=medium

  * Initial packaging.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Jul 2014 16:57:46 +0200

gnome-photos (3.10.2-0ubuntu3) utopic; urgency=medium

  * Build for Tracker 1.0 (LP: #1319236)
    - debian/patches: git_switch_tracker_1-0.patch, git_replace_tracker_miner.patch
      support tracker 1.0
    - debian/control: Bump tracker build-deps to 1.0
    - debian/rules: include autoreconf.mk

 -- Tim Lunn <tim@feathertop.org>  Wed, 14 May 2014 12:29:27 +1000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-photos
Section: gnome
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               desktop-file-utils,
               dh-autoreconf,
               gnome-common,
               gnome-pkg-tools,
               libbabl-dev,
               libcairo2-dev,
               libexempi-dev (>= 1.99.5),
               libexif-dev (>= 0.6.14),
               libgegl-dev,
               libgfbgraph-0.2-dev (>= 0.2.1),
               libglib2.0-dev (>= 2.35.1),
               libgnome-desktop-3-dev,
               libgoa-1.0-dev (>= 3.8.0),
               libgrilo-0.2-dev (>= 0.2.6),
               libgtk-3-dev (>= 3.11.5),
               liblcms2-dev,
               librsvg2-dev (>= 2.26.0),
               libtracker-control-1.0-dev,
               libtracker-sparql-1.0-dev,
               yelp-tools
Standards-Version: 3.9.5
Homepage: https://wiki.gnome.org/Apps/Photos
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-photos
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-photos

Package: gnome-photos
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, gnome-online-miners
Recommends: tracker
Description: application to access, organize and share your photos with GNOME
 GNOME Photos is designed to fullfill your needs to:
 .
 View local and online/cloud collections
 View photos on attached devices
 View photos on DLNA media servers
 See new photos shared by friends
 View full screen slideshows
 Share photos (email, IM, ?)
 Upload photos
 Set as background
 Select favorites
 Very basic manipulation: Rotate, Crop, Enhance, Remove/Delete,
                          Combine into an Album
 Allow opening full featured editor for more advanced changes

## gnome-photos 3.14.2

=== debian/changelog ===
gnome-photos (3.14.2-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Only Recommends dleyna-renderer on linux architectures

  [ Josselin Mouette ]
  * New upstream translation and bugfix release.

 -- Josselin Mouette <joss@debian.org>  Fri, 05 Dec 2014 18:29:34 +0100

gnome-photos (3.14.0-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release
  * debian/rules: 
    - Disable silent rules so we can find hardening issues
    - Fully enable hardening
  * Add 90_drop-onlyshowin.patch so every desktop can use this
  * debian/control:
    - Bump b-dep on gtk to >= 3.13.2, glib to >= 2.39.3
    - Build-depend on libgdata-dev
  * Run tests as autopkgtest

  [ Andreas Henriksson ]
  * Recommend dleyna-renderer to be able to display photos on other
    DLNA renderers in your local network.

  [ Laurent Bigonville ]
  * debian/control.in: Add gnome-online-miners to the dependencies and bump
    tracker to a hard dependency.

 -- Laurent Bigonville <bigon@debian.org>  Sat, 27 Sep 2014 14:09:54 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gnome-photos
 Section: gnome
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 9),
                desktop-file-utils,
                dh-autoreconf,
@@ -17,17 +16,21 @@
                libcairo2-dev,
                libexempi-dev (>= 1.99.5),
                libexif-dev (>= 0.6.14),
+               libgdata-dev (>= 0.15.2),
                libgegl-dev,
                libgfbgraph-0.2-dev (>= 0.2.1),
-               libglib2.0-dev (>= 2.35.1),
+               libglib2.0-dev (>= 2.39.3),
                libgnome-desktop-3-dev,
                libgoa-1.0-dev (>= 3.8.0),
                libgrilo-0.2-dev (>= 0.2.6),
-               libgtk-3-dev (>= 3.11.5),
+               libgtk-3-dev (>= 3.13.2),
                liblcms2-dev,
                librsvg2-dev (>= 2.26.0),
                libtracker-control-1.0-dev,
                libtracker-sparql-1.0-dev,
+               libwnck-3-dev,
+               python-gi-dev,
+               python-dogtail,
                yelp-tools
 Standards-Version: 3.9.5
 Homepage: https://wiki.gnome.org/Apps/Photos
@@ -36,8 +39,8 @@
 
 Package: gnome-photos
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, gnome-online-miners
-Recommends: tracker
+Depends: ${misc:Depends}, ${shlibs:Depends}, tracker, gnome-online-miners
+Recommends: dleyna-renderer [linux-any]
 Description: application to access, organize and share your photos with GNOME
  GNOME Photos is designed to fullfill your needs to:
  .

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gnome-photos/([\d.]+)/gnome-photos-(.*).tar.xz

## gnome-photos 3.16.2

=== debian/changelog ===
gnome-photos (3.16.2-1) experimental; urgency=medium

  * Make debian/watch only track stable releases.
  * New upstream release.
  * Bump build-dependencies according to configure.ac changes:
    - libcairo2-dev (>= 1.14.0)
    - libgegl-dev (>= 0.3.0)
    - libgtk-3-dev (>= 3.15.5)
  * Upload to experimental as the new gegl-0.3 is only available there yet.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 28 Jul 2015 18:29:34 +0200

=== debian/control ===
--- 
+++ 
@@ -13,17 +13,17 @@
                gnome-common,
                gnome-pkg-tools,
                libbabl-dev,
-               libcairo2-dev,
+               libcairo2-dev (>= 1.14.0),
                libexempi-dev (>= 1.99.5),
                libexif-dev (>= 0.6.14),
                libgdata-dev (>= 0.15.2),
-               libgegl-dev,
+               libgegl-dev (>= 0.3.0),
                libgfbgraph-0.2-dev (>= 0.2.1),
                libglib2.0-dev (>= 2.39.3),
                libgnome-desktop-3-dev,
                libgoa-1.0-dev (>= 3.8.0),
                libgrilo-0.2-dev (>= 0.2.6),
-               libgtk-3-dev (>= 3.13.2),
+               libgtk-3-dev (>= 3.15.5),
                liblcms2-dev,
                librsvg2-dev (>= 2.26.0),
                libtracker-control-1.0-dev,

=== debian/tests/control ===
Tests: unit-tests
Depends: @, @builddeps@, dbus-x11, xvfb, grilo-plugins-0.2, xauth
Restrictions: build-needed

## gnome-photos 3.18.1

=== debian/changelog ===
gnome-photos (3.18.1-1build1) xenial; urgency=medium

  * No-change rebuild against new gnome libraries

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 02 Nov 2015 15:39:00 +0000

gnome-photos (3.18.1-1) unstable; urgency=medium

  * New upstream release.
  * Wrap dependencies.
  * Bump Standards-Version to 3.9.6.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Oct 2015 17:59:12 +0200

gnome-photos (3.18.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Oct 2015 23:27:10 +0200

gnome-photos (3.18.0-1) experimental; urgency=medium

  * Replace obsolete gnome-common build-dependency with simply
    intltool (>= 0.50.1). It was previously pulled in by gnome-common.
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 02 Oct 2015 23:39:44 +0200

## gnome-photos 3.18.2

=== debian/changelog ===
gnome-photos (3.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Nov 2015 02:13:27 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Section: gnome
 Priority: extra
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
                desktop-file-utils,
                dh-autoreconf,
-               gnome-common,
                gnome-pkg-tools,
+               intltool (>= 0.50.1),
                libbabl-dev,
                libcairo2-dev (>= 1.14.0),
                libexempi-dev (>= 1.99.5),
@@ -32,14 +32,17 @@
                python-gi-dev,
                python-dogtail,
                yelp-tools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Apps/Photos
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-photos
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-photos
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-photos
 
 Package: gnome-photos
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, tracker, gnome-online-miners
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         tracker,
+         gnome-online-miners
 Recommends: dleyna-renderer [linux-any]
 Description: application to access, organize and share your photos with GNOME
  GNOME Photos is designed to fullfill your needs to:

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

override_dh_auto_test:

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gnome-photos/([\d\.]+[02468])/gnome-photos-(.*).tar.xz

## gnome-photos 3.20.1

=== debian/changelog ===
gnome-photos (3.20.1-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - Drop libexempi-dev
    - Drop libexif-dev
    - Drop liblcms2-dev
    - Drop librsvg2-dev
    - Add libgexiv2-dev
    - Bump libgegl-dev to >= 0.3.5
    - Switch from libgrilo-0.2-dev to libgrilo-0.3-dev
    - Add libjpeg-dev
    - Add libpng-dev
    - Bump libgtk-3-dev to >= 3.19.1
  * Bump Standards-Version to 3.9.7
  * Recommend grilo-plugins-0.3 for grl-flickr plugin

  [ Michael Biebl ]
  * Drop uploaders.mk from debian/rules as this breaks the clean target with
    dh. Instead use the gnome dh addon which updates debian/control via
    dh_gnome_clean.
  * Tighten Build-Depends on libpng-dev to ensure we have a version >= 1.6.
  * Fix typo in package description.
  * Drop jp2 gegl check which prevents gnome-photos to start if GEGL was not
    compiled against libjapser. Not starting at all is worse then crashing
    when trying to open a jp2 file, as JPEG-2000 files are very rare. That
    said, we should fix the case anyway when gegl does not support a specific
    image format.

 -- Michael Biebl <biebl@debian.org>  Tue, 19 Apr 2016 19:45:19 +0200

=== debian/control ===
--- 
+++ 
@@ -14,25 +14,24 @@
                intltool (>= 0.50.1),
                libbabl-dev,
                libcairo2-dev (>= 1.14.0),
-               libexempi-dev (>= 1.99.5),
-               libexif-dev (>= 0.6.14),
                libgdata-dev (>= 0.15.2),
-               libgegl-dev (>= 0.3.0),
+               libgegl-dev (>= 0.3.5),
+               libgexiv2-dev,
                libgfbgraph-0.2-dev (>= 0.2.1),
                libglib2.0-dev (>= 2.39.3),
                libgnome-desktop-3-dev,
                libgoa-1.0-dev (>= 3.8.0),
-               libgrilo-0.2-dev (>= 0.2.6),
-               libgtk-3-dev (>= 3.15.5),
-               liblcms2-dev,
-               librsvg2-dev (>= 2.26.0),
+               libgrilo-0.3-dev (>= 0.3.0),
+               libjpeg-dev,
+               libpng-dev (>= 1.6),
+               libgtk-3-dev (>= 3.19.1),
                libtracker-control-1.0-dev,
                libtracker-sparql-1.0-dev,
                libwnck-3-dev,
                python-gi-dev,
                python-dogtail,
                yelp-tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://wiki.gnome.org/Apps/Photos
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-photos
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-photos
@@ -43,9 +42,10 @@
          ${shlibs:Depends},
          tracker,
          gnome-online-miners
-Recommends: dleyna-renderer [linux-any]
+Recommends: dleyna-renderer [linux-any],
+         grilo-plugins-0.3
 Description: application to access, organize and share your photos with GNOME
- GNOME Photos is designed to fullfill your needs to:
+ GNOME Photos is designed to fulfill your needs to:
  .
  View local and online/cloud collections
  View photos on attached devices

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf,gnome

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

override_dh_auto_test:

## gnome-photos 3.20.2

=== debian/changelog ===
gnome-photos (3.20.2-1ubuntu1) yakkety; urgency=medium

  * debian/tests/control: Switch from grilo 0.2 to 0.3 here also

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 26 Jun 2016 14:52:45 -0400

gnome-photos (3.20.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/docs, debian/rules:
    - Install NEWS but don't install other files that duplicate the
      copyright file

  [ Michael Biebl ]
  * Drop --disable-silent-rules from debian/rules. This is now handled by dh
    directly depending on whether the DH_QUIET environment variable is set.
  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Jun 2016 22:40:13 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-photos
 Section: gnome
 Priority: extra
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
                desktop-file-utils,
                dh-autoreconf,
@@ -31,7 +32,7 @@
                python-gi-dev,
                python-dogtail,
                yelp-tools
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Apps/Photos
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-photos
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-photos

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf,gnome

override_dh_install:
# Use debian/docs to install docs instead of duplicating the copyright file
	dh_install
	-rm -r debian/gnome-photos/usr/share/doc

override_dh_auto_test:

## gnome-photos 3.21.91

=== debian/changelog ===
gnome-photos (3.21.91-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Add debian/patches/git_fix-tracker*.patch:
    - Add 3 patches from git to fix syntax errors with Tracker 1.9.1

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Sep 2016 02:57:02 +0200

gnome-photos (3.21.91-1) unstable; urgency=low

  * New upstream beta release.
  * Update build-dependencies according to configure.ac changes:
    - bump glib to >= 2.44.0

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 02 Sep 2016 10:47:57 +0200

gnome-photos (3.20.3-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/tests/control: Switch from grilo 0.2 to 0.3 here also

  [ Andreas Henriksson ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 11 Aug 2016 17:47:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gnome-photos
 Section: gnome
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
                desktop-file-utils,
                dh-autoreconf,
@@ -19,7 +18,7 @@
                libgegl-dev (>= 0.3.5),
                libgexiv2-dev,
                libgfbgraph-0.2-dev (>= 0.2.1),
-               libglib2.0-dev (>= 2.39.3),
+               libglib2.0-dev (>= 2.44.0),
                libgnome-desktop-3-dev,
                libgoa-1.0-dev (>= 3.8.0),
                libgrilo-0.3-dev (>= 0.3.0),

## gnome-photos 3.21.92

=== debian/changelog ===
gnome-photos (3.21.92-1) unstable; urgency=medium

  * New upstream development release.
  * Refresh patches, drop the ones that were merged upstream.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Sep 2016 02:45:58 +0200

=== debian/tests/control ===
Tests: unit-tests
Depends: @, @builddeps@, dbus-x11, xvfb, grilo-plugins-0.3, xauth
Restrictions: build-needed

## gnome-photos 3.22.0

=== debian/changelog ===
gnome-photos (3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Sep 2016 20:21:31 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
 Priority: extra
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                desktop-file-utils,
-               dh-autoreconf,
                gnome-pkg-tools,
                intltool (>= 0.50.1),
                libbabl-dev,

## gnome-photos 3.22.1

=== debian/changelog ===
gnome-photos (3.22.1-0ubuntu1) yakkety; urgency=medium

  * New upstream bugfix release (LP: #1631229):
    - Use correct filename extension for exported photos
    - Fix crash affecting some 64-bit computers

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 06 Oct 2016 23:17:07 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-photos
 Section: gnome
 Priority: extra
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                desktop-file-utils,
                gnome-pkg-tools,

## gnome-photos 3.22.2

=== debian/changelog ===
gnome-photos (3.22.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Nov 2016 20:17:35 +0100

gnome-photos (3.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Oct 2016 18:35:33 +0200

## gnome-photos 3.22.3

=== debian/changelog ===
gnome-photos (3.22.3-1) unstable; urgency=medium

  * New upstream release.
  * Use dbus-run-session to run tests. (Closes: #835886)

 -- Michael Biebl <biebl@debian.org>  Tue, 03 Jan 2017 13:53:27 +0100

=== debian/tests/control ===
Tests: unit-tests
Depends: @, @builddeps@, dbus (>= 1.8), xvfb, grilo-plugins-0.3, xauth
Restrictions: build-needed

## gnome-photos 3.22.5

=== debian/changelog ===
gnome-photos (3.22.5-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/drop-jp2-gegl-check.patch, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Thu, 09 Mar 2017 01:19:49 +0100

gnome-photos (3.22.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches which have been merged upstream.

 -- Michael Biebl <biebl@debian.org>  Tue, 21 Feb 2017 23:36:53 +0100

gnome-photos (3.22.3-2) unstable; urgency=medium

  * debian/patches/0001-tests-Wait-for-the-UI-to-be-drawn-completely.patch:
    Take patch from upstream bug #777053 to resolve race condition in
    testsuite.
  * debian/tests/unit-tests: Don't fail on expected stderr from dbus-daemon.

 -- Iain Lane <laney@debian.org>  Mon, 09 Jan 2017 18:55:47 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gnome-photos
 Section: gnome
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                desktop-file-utils,
                gnome-pkg-tools,

## gnome-photos 3.23.4

=== debian/changelog ===
gnome-photos (3.23.4-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-depend on libgeocode-glib-dev
  * Drop drop-jp2-gegl-check.patch:
    - Applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Feb 2017 19:16:46 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-photos
 Section: gnome
 Priority: extra
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                desktop-file-utils,
                gnome-pkg-tools,
@@ -15,6 +16,7 @@
                libcairo2-dev (>= 1.14.0),
                libgdata-dev (>= 0.15.2),
                libgegl-dev (>= 0.3.5),
+               libgeocode-glib-dev,
                libgexiv2-dev,
                libgfbgraph-0.2-dev (>= 0.2.1),
                libglib2.0-dev (>= 2.44.0),

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf,gnome
+	dh $@ --with gnome
 
 override_dh_install:
 # Use debian/docs to install docs instead of duplicating the copyright file

## gnome-photos 3.23.91

=== debian/changelog ===
gnome-photos (3.23.91-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/control.in:
    - Bump minimum gegl to 0.3.14

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 03 Mar 2017 20:24:38 -0500

gnome-photos (3.23.90-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/control.in:
    - Bump minimum gegl to 0.3.11

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Feb 2017 17:05:22 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                desktop-file-utils,
                gnome-pkg-tools,
@@ -15,7 +15,7 @@
                libbabl-dev,
                libcairo2-dev (>= 1.14.0),
                libgdata-dev (>= 0.15.2),
-               libgegl-dev (>= 0.3.5),
+               libgegl-dev (>= 0.3.14),
                libgeocode-glib-dev,
                libgexiv2-dev,
                libgfbgraph-0.2-dev (>= 0.2.1),

## gnome-photos 3.24.0

=== debian/changelog ===
gnome-photos (3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/control.in:
    - Bump minimum GTK+ to 3.22.10

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Mar 2017 18:27:53 -0400

## gnome-photos 3.24.1

=== debian/changelog ===
gnome-photos (3.24.1-0ubuntu1) zesty; urgency=medium

  * New upstream release (LP: #1682143)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 12 Apr 2017 10:09:41 -0400

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libgrilo-0.3-dev (>= 0.3.0),
                libjpeg-dev,
                libpng-dev (>= 1.6),
-               libgtk-3-dev (>= 3.19.1),
+               libgtk-3-dev (>= 3.22.10),
                libtracker-control-1.0-dev,
                libtracker-sparql-1.0-dev,
                libwnck-3-dev,

## gnome-photos 3.24.2

=== debian/changelog ===
gnome-photos (3.24.2-0ubuntu3) artful; urgency=medium

  * debian/control.in:
    - Depend on tracker-extract for gsettings schemas

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 15 Aug 2017 13:22:12 -0400

gnome-photos (3.24.2-0ubuntu2) artful; urgency=medium

  * debian/control.in:
    - Build-depend on tracker2 libraries instead of tracker1
  * Add build-with-tracker2.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 15 Aug 2017 11:13:15 -0400

gnome-photos (3.24.2-0ubuntu1) artful; urgency=medium

  * New upstream release (LP: #1690500)
    - Fixes transparency in PNG files

 -- Tim Lunn <tim@feathertop.org>  Sat, 13 May 2017 14:38:07 +1000

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,8 @@
                libjpeg-dev,
                libpng-dev (>= 1.6),
                libgtk-3-dev (>= 3.22.10),
-               libtracker-control-1.0-dev,
-               libtracker-sparql-1.0-dev,
+               libtracker-control-2.0-dev,
+               libtracker-sparql-2.0-dev,
                libwnck-3-dev,
                python-gi-dev,
                python-dogtail,
@@ -42,6 +42,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          tracker,
+         tracker-extract,
          gnome-online-miners
 Recommends: dleyna-renderer [linux-any],
          grilo-plugins-0.3

## gnome-photos 3.25.91

=== debian/changelog ===
gnome-photos (3.25.91-1ubuntu1) artful; urgency=medium

  * Drop build-with-tracker1.patch
  * Build-Depend on tracker2 instead of tracker1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 31 Aug 2017 05:06:26 -0400

gnome-photos (3.25.91-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - Bump minimum GTK+ to 3.22.16
    - Bump minimum GEGL to 0.3.15
    - Build-Depend on gnome-settings-dev instead of libgnome-desktop-3-dev
    - Build-depend on libgeocode-glib-dev
    - Depend on tracker-extract for gsettings schemas
  * Update debian/copyright
  * Add build-with-tracker1.patch:
    - Don't build with tracker 2 yet
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 30 Aug 2017 17:21:03 -0400

gnome-photos (3.22.6-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Jun 2017 17:15:34 +0200

=== debian/control ===
--- 
+++ 
@@ -7,32 +7,32 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                desktop-file-utils,
                gnome-pkg-tools,
+               gsettings-desktop-schemas-dev,
                intltool (>= 0.50.1),
                libbabl-dev,
                libcairo2-dev (>= 1.14.0),
                libgdata-dev (>= 0.15.2),
-               libgegl-dev (>= 0.3.14),
+               libgegl-dev (>= 0.3.15),
                libgeocode-glib-dev,
                libgexiv2-dev,
                libgfbgraph-0.2-dev (>= 0.2.1),
                libglib2.0-dev (>= 2.44.0),
-               libgnome-desktop-3-dev,
                libgoa-1.0-dev (>= 3.8.0),
                libgrilo-0.3-dev (>= 0.3.0),
                libjpeg-dev,
                libpng-dev (>= 1.6),
-               libgtk-3-dev (>= 3.22.10),
+               libgtk-3-dev (>= 3.22.16),
                libtracker-control-2.0-dev,
                libtracker-sparql-2.0-dev,
                libwnck-3-dev,
                python-gi-dev,
                python-dogtail,
                yelp-tools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://wiki.gnome.org/Apps/Photos
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-photos
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-photos

## gnome-photos 3.26.0

=== debian/changelog ===
gnome-photos (3.26.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Minor updates
  * debian/control.in:
    - Build-Depend on tracker2 instead of tracker1
    - Drop obsolete Build-Depends on intltool
  * Drop build-with-tracker1.patch: Obsolete

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 14:29:33 -0400

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,12 @@
 Source: gnome-photos
 Section: gnome
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                desktop-file-utils,
                gnome-pkg-tools,
                gsettings-desktop-schemas-dev,
-               intltool (>= 0.50.1),
                libbabl-dev,
                libcairo2-dev (>= 1.14.0),
                libgdata-dev (>= 0.15.2),

## gnome-photos 3.26.1

=== debian/changelog ===
gnome-photos (3.26.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 08 Oct 2017 10:04:16 -0400

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                python-gi-dev,
                python-dogtail,
                yelp-tools
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Homepage: https://wiki.gnome.org/Apps/Photos
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-photos
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-photos

## gnome-photos 3.26.2

=== debian/changelog ===
gnome-photos (3.26.2-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Increase Priority to optional. Priority: extra is deprecated.

  [ Jeremy Bicha ]
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Dec 2017 12:48:15 -0500

gnome-photos (3.26.2-1) unstable; urgency=medium

  * New upstream release

 -- Michael Biebl <biebl@debian.org>  Fri, 03 Nov 2017 11:56:31 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # This file is regenerated automatically in the clean target.
 Source: gnome-photos
 Section: gnome
-Priority: extra
+Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
@@ -30,10 +30,10 @@
                python-gi-dev,
                python-dogtail,
                yelp-tools
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Homepage: https://wiki.gnome.org/Apps/Photos
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-photos
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-photos
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-photos.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gnome-photos.git
 
 Package: gnome-photos
 Architecture: any

## gnome-photos 3.26.3

=== debian/changelog ===
gnome-photos (3.26.3-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 01 Feb 2018 09:00:48 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                desktop-file-utils,
                gnome-pkg-tools,
                gsettings-desktop-schemas-dev,
@@ -31,9 +31,9 @@
                python-dogtail,
                yelp-tools
 Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-photos
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-photos.git
 Homepage: https://wiki.gnome.org/Apps/Photos
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-photos.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gnome-photos.git
 
 Package: gnome-photos
 Architecture: any

## gnome-photos 3.27.90

=== debian/changelog ===
gnome-photos (3.27.90-1) experimental; urgency=medium

  [ Tim Lunn ]
  * Team upload
  * New upstream development release
  * debian/control.in: Add build-deps on libdazzle-1.0-dev
    and libgdk-pixbuf-2.0-dev, bump build-dep on libgegl-dev

  [ Pedro Beja ]
  * debian/control.in: Update description 

 -- Tim Lunn <tim@feathertop.org>  Sun, 18 Feb 2018 14:39:53 +1100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,10 @@
                gsettings-desktop-schemas-dev,
                libbabl-dev,
                libcairo2-dev (>= 1.14.0),
+               libdazzle-1.0-dev (>= 3.26.0),
                libgdata-dev (>= 0.15.2),
-               libgegl-dev (>= 0.3.15),
+               libgdk-pixbuf2.0-dev (>= 2.32),
+               libgegl-dev (>= 0.3.28),
                libgeocode-glib-dev,
                libgexiv2-dev,
                libgfbgraph-0.2-dev (>= 0.2.1),
@@ -43,19 +45,16 @@
          tracker-extract,
          gnome-online-miners
 Recommends: dleyna-renderer [linux-any],
-         grilo-plugins-0.3
+            grilo-plugins-0.3
 Description: application to access, organize and share your photos with GNOME
  GNOME Photos is designed to fulfill your needs to:
- .
- View local and online/cloud collections
- View photos on attached devices
- View photos on DLNA media servers
- See new photos shared by friends
- View full screen slideshows
- Share photos (email, IM, ?)
- Upload photos
- Set as background
- Select favorites
- Very basic manipulation: Rotate, Crop, Enhance, Remove/Delete,
-                          Combine into an Album
- Allow opening full featured editor for more advanced changes
+  - View local and online/cloud collections
+  - View photos on attached devices
+  - View photos on DLNA media servers
+  - See new photos shared by friends
+  - View full screen slideshows
+  - Share photos
+  - Upload photos
+  - Set as background
+  - Select favorites
+  - Very basic manipulation: Crop, Enhance, Combine into an Album

## gnome-photos 3.27.92

=== debian/changelog ===
gnome-photos (3.27.92-1ubuntu1) bionic; urgency=medium

  * debian/tests/control: Explicitly Depend on dleyna-server to
    try to fix stderr output since autopkgtest doesn't pull in Recommends

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Mar 2018 10:45:49 -0400

gnome-photos (3.27.92-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 14 Mar 2018 20:39:29 -0400

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 
 %:
 	dh $@ --with gnome

=== debian/tests/control ===
Tests: unit-tests
Depends: @, @builddeps@, dbus (>= 1.8), xvfb, grilo-plugins-0.3, xauth, dleyna-server
Restrictions: build-needed

## gnome-photos 3.28.0

=== debian/changelog ===
gnome-photos (3.28.0-2) unstable; urgency=medium

  * Cherry-pick bump-minimum-GEGL-version-to-0.4.0.patch
  * Bump minimum gegl to 0.4.0
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Apr 2018 09:08:09 -0400

gnome-photos (3.28.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Cherry-pick unbreak-trash-button.patch:
    - Fix Empty Trash button with GNOME 3.26+

  [ Sebastien Bacher ]
  * Add correct_test_name.patch:
    - update the app name in the test
  * debian/tests/control:
    - Depend on dleyna-server and dleyna-renderer.
      These are already Recommends of gnome-photos.

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 27 Mar 2018 12:26:38 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-photos
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 11),
                desktop-file-utils,
                gnome-pkg-tools,
@@ -16,7 +16,7 @@
                libdazzle-1.0-dev (>= 3.26.0),
                libgdata-dev (>= 0.15.2),
                libgdk-pixbuf2.0-dev (>= 2.32),
-               libgegl-dev (>= 0.3.28),
+               libgegl-dev (>= 0.4.0),
                libgeocode-glib-dev,
                libgexiv2-dev,
                libgfbgraph-0.2-dev (>= 0.2.1),
@@ -32,7 +32,7 @@
                python-gi-dev,
                python-dogtail,
                yelp-tools
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-photos
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-photos.git
 Homepage: https://wiki.gnome.org/Apps/Photos

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

## gnome-photos 3.29.92

=== debian/changelog ===
gnome-photos (3.29.92-1) unstable; urgency=medium

  * New upstream release
  * Bump libgexiv2-dev to >= 0.10.8 & libgrilo-0.3-dev to >= 0.3.5
  * Add X-Ubuntu-Use-Langpack to opt in to Ubuntu language pack handling
    (LP: #1779574)
  * Bump Standards-Version to 4.2.1
  * Drop patches applied in new release:
    - bump-minimum-GEGL-version-to-0.4.0.patch
    - correct_test_name.patch
    - unbreak-empty-trash-button.patch

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 05 Sep 2018 14:08:01 -0400

## gnome-photos 3.30.0

=== debian/changelog ===
gnome-photos (3.30.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 06 Sep 2018 14:11:55 -0400

=== debian/control ===
--- 
+++ 
@@ -18,11 +18,11 @@
                libgdk-pixbuf2.0-dev (>= 2.32),
                libgegl-dev (>= 0.4.0),
                libgeocode-glib-dev,
-               libgexiv2-dev,
+               libgexiv2-dev (>= 0.10.8),
                libgfbgraph-0.2-dev (>= 0.2.1),
                libglib2.0-dev (>= 2.44.0),
                libgoa-1.0-dev (>= 3.8.0),
-               libgrilo-0.3-dev (>= 0.3.0),
+               libgrilo-0.3-dev (>= 0.3.5),
                libjpeg-dev,
                libpng-dev (>= 1.6),
                libgtk-3-dev (>= 3.22.16),
@@ -32,7 +32,8 @@
                python-gi-dev,
                python-dogtail,
                yelp-tools
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
+X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-photos
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-photos.git
 Homepage: https://wiki.gnome.org/Apps/Photos

## gnome-photos 3.30.1

=== debian/changelog ===
gnome-photos (3.30.1-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 08:18:39 -0500

gnome-photos (3.30.1-1) unstable; urgency=medium

  * New upstream release

 -- Tim Lunn <tim@feathertop.org>  Fri, 28 Sep 2018 16:35:45 +1000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 11),
                desktop-file-utils,
                gnome-pkg-tools,
@@ -32,7 +32,7 @@
                python-gi-dev,
                python-dogtail,
                yelp-tools
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-photos
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-photos.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
 	dh $@ --with gnome

=== debian/tests/control ===
Tests: unit-tests
Depends: @, @builddeps@, dbus (>= 1.8), xvfb, grilo-plugins-0.3, xauth, dleyna-server, dleyna-renderer
Restrictions: build-needed
